xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Andrea Rossato 2007
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.ShowWName

Contents

- Usage

Description

This is a layout modifier that will show the workspace name

Synopsis

- showWName :: l a -> ModifiedLayout ShowWName l a
- showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a
- defaultSWNConfig :: SWNConfig
- data SWNConfig = SWNC {
  - swn_font :: String
  - swn_bgcolor :: String
  - swn_color :: String
  - swn_fade :: Rational
  }
- data ShowWName a

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.ShowWName
    myLayout = layoutHook defaultConfig
    main = xmonad defaultConfig { layoutHook = showWName myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

showWName :: l a -> ModifiedLayout ShowWName l a

A layout modifier to show the workspace name when switching

showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a

A layout modifier to show the workspace name when switching. It is possible to provide a custom configuration.

defaultSWNConfig :: SWNConfig

data SWNConfig

Constructors

SWNC |

Fields

swn_font :: String

  Font name

swn_bgcolor :: String

  Background color

swn_color :: String

  String color

swn_fade :: Rational

  Time in seconds of the name visibility

Instances

Read SWNConfig |
Show SWNConfig |

data ShowWName a

Instances

LayoutModifier ShowWName a |
Read (ShowWName a) |
Show (ShowWName a) |